API reference / Custom fields
Custom fields API
9 endpoints. Scopes: Scalar360.custom-fields.READ, .CREATE, .UPDATE, .DELETE or .ALL. All calls need Authorization: Scalar360-oauthtoken <access_token> — see Authentication.
List
/api/custom-fields
Scope: Scalar360.custom-fields.READ
| Parameter | In | Type | Required |
|---|---|---|---|
entityType | query | string | Yes |
recordGid | query | string (uuid) | No |
includeInactive | query | boolean (default false) | No |
curl -X GET "https://api.scalar360.com/api/custom-fields" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Create
/api/custom-fields
Scope: Scalar360.custom-fields.CREATE
| Body field | Type | Required | Notes |
|---|---|---|---|
entityType | string | Yes | required |
ownerGid | string (uuid) | ||
fieldKey | string | Yes | required |
label | string | Yes | required |
fieldType | enum: TEXT | NUMBER | DATE | SELECT | PHONE | FILE | ||
options | string | ||
required | boolean | ||
displayOrder | integer | ||
active | boolean |
curl -X POST "https://api.scalar360.com/api/custom-fields" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"entityType":"string","fieldKey":"string","label":"string"}'Update
/api/custom-fields/{gid}
Scope: Scalar360.custom-fields.UPDATE
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
| Body field | Type | Required | Notes |
|---|---|---|---|
entityType | string | Yes | required |
ownerGid | string (uuid) | ||
fieldKey | string | Yes | required |
label | string | Yes | required |
fieldType | enum: TEXT | NUMBER | DATE | SELECT | PHONE | FILE | ||
options | string | ||
required | boolean | ||
displayOrder | integer | ||
active | boolean |
curl -X PUT "https://api.scalar360.com/api/custom-fields/{gid}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"entityType":"string","ownerGid":"3f1c2b9e-7a1d-4c3e-9b2a-1e5f6a7b8c9d","fieldKey":"string","label":"string","fieldType":"TEXT","options":"string"}'Delete
/api/custom-fields/{gid}
Scope: Scalar360.custom-fields.DELETE
| Parameter | In | Type | Required |
|---|---|---|---|
gid | path | string (uuid) | Yes |
curl -X DELETE "https://api.scalar360.com/api/custom-fields/{gid}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Delete
/api/custom-fields/file
Scope: Scalar360.custom-fields.DELETE
| Parameter | In | Type | Required |
|---|---|---|---|
url | query | string | Yes |
curl -X DELETE "https://api.scalar360.com/api/custom-fields/file" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Upload
/api/custom-fields/upload/{entity}/{gid}/{fieldKey}
Scope: Scalar360.custom-fields.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
entity | path | string | Yes |
gid | path | string (uuid) | Yes |
fieldKey | path | string | Yes |
Request body: multipart/form-data with a file field.
curl -X POST "https://api.scalar360.com/api/custom-fields/upload/{entity}/{gid}/{fieldKey}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-F "file=@/path/to/file"Get
/api/custom-fields/values/{entity}/{recordGid}
Scope: Scalar360.custom-fields.READ
| Parameter | In | Type | Required |
|---|---|---|---|
entity | path | string | Yes |
recordGid | path | string (uuid) | Yes |
curl -X GET "https://api.scalar360.com/api/custom-fields/values/{entity}/{recordGid}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"Save
/api/custom-fields/values/{entity}/{recordGid}
Scope: Scalar360.custom-fields.UPDATE
| Parameter | In | Type | Required |
|---|---|---|---|
entity | path | string | Yes |
recordGid | path | string (uuid) | Yes |
curl -X PUT "https://api.scalar360.com/api/custom-fields/values/{entity}/{recordGid}" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'Batch
/api/custom-fields/values/{entity}/batch
Scope: Scalar360.custom-fields.CREATE
| Parameter | In | Type | Required |
|---|---|---|---|
entity | path | string | Yes |
curl -X POST "https://api.scalar360.com/api/custom-fields/values/{entity}/batch" \
-H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '["3f1c2b9e-7a1d-4c3e-9b2a-1e5f6a7b8c9d"]'